View Issue Details

IDProjectCategoryView StatusLast Update
0026893LazarusPackagespublic2014-10-21 17:46
ReporterJuha ManninenAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version1.3 (SVN)Product Buildr46600 
Target VersionFixed in Version1.3 (SVN) 
Summary0026893: AnchorDocking crashes with Object inspector
DescriptionI tested docking Object inspector in different ways.
I got many SIGSEGVs. They are not 100% reproducible although the first case I could reproduce always after restarting gdb.

I copy the debugger backtraces in "Additional Information" and attch the same backtraces in a text file.
Additional Information--- OI is docked on the left side when Lazarus starts.
--- Code explorer is on the right side. Move OI to "inside" it. They will have tabs in the same pane.
--- Move OI back to left side -> Crash
---
Program received signal SIGSEGV, Segmentation fault.
0x00007ffff76e36b0 in QLCLAbstractScrollArea_override_viewportEvent () from /usr/local/lib/libQt4Pas.so.5
(gdb) bt
#0 0x00007ffff76e36b0 in QLCLAbstractScrollArea_override_viewportEvent () from /usr/local/lib/libQt4Pas.so.5
0000001 0x00000000007dee93 in VIEWPORTDELETE (this=0x7fffdb9ed130) at qt/qtwidgets.pas:16319
0000002 0x00000000007de3a2 in DESTROY (this=0x7fffdb9ed130, vmt=0x1) at qt/qtwidgets.pas:16082
0000003 0x0000000000432afa in SYSTEM_TOBJECT_$__FREE ()
0000004 0x00007fffdb9ed130 in ?? ()
0000005 0x000000000046400e in SYSUTILS_FREEANDNIL$formal ()
0000006 0x00007fffffffce80 in ?? ()
0000007 0x00000000007c0e67 in DESTROY (this=0x7fffdb9ebdf0, vmt=0x1) at qt/qtwidgets.pas:6670
0000008 0x0000000000432afa in SYSTEM_TOBJECT_$__FREE ()
0000009 0x00007f01ffffd300 in ?? ()
0000010 0x00000000007e7a74 in ENDEVENTPROCESSING (this=0x7fffdb9ebdf0) at qt/qtobjects.pas:1125
0000011 0x00000000007c1ba6 in EVENTFILTER (this=0x7fffdb9ebdf0, SENDER=0x294cbe0, EVENT=0x7fffffffd0a0) at qt/qtwidgets.pas:7015
0000012 0x00007ffff379e646 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000013 0x00007ffff4017e0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000014 0x00007ffff401e5dd in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000015 0x00007ffff379e4dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000016 0x00007ffff401dd93 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) ()
   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4


--- Another one. Docking OI few times around.
--- Not sure where I docked it when the crash happened.

Program received signal SIGSEGV, Segmentation fault.
0x0000000000424e4c in fpc_check_object ()
(gdb) bt
#0 0x0000000000424e4c in fpc_check_object ()
0000001 0x00007fffffffb800 in ?? ()
0000002 0x00000000008067c0 in GETTEXT (self=0x7fffdff02c70, AWINCONTROL=0x7fffdb9a3270, ATEXT=0x0) at qt/qtwscontrols.pp:294
0000003 0x00000000006af41b in FINALIZEWND (this=0x7fffdb9a3270) at include/wincontrol.inc:7506
0000004 0x00000000006afc79 in DESTROYWND (this=0x7fffdb9a3270) at include/wincontrol.inc:7671
0000005 0x00000000006cb18b in DESTROYWND (this=0x7fffdb9a3270) at include/customcontrol.inc:61
0000006 0x00000000006a65aa in DESTROYHANDLE (this=0x7fffdb9a3270) at include/wincontrol.inc:5215
0000007 0x00000000006a656d in DESTROYHANDLE (this=0x7fffdb99cf10) at include/wincontrol.inc:5211
0000008 0x00000000006a656d in DESTROYHANDLE (this=0x7fffdb9bd610) at include/wincontrol.inc:5211
0000009 0x0000000000474949 in SETPARENT (this=0x7fffdb9bd610, NEWPARENT=0x0) at include/customform.inc:1218
0000010 0x00000000013a15b6 in SETPARENT (this=0x7fffdb9bd610, NEWPARENT=0x0) at anchordocking.pas:4236
0000011 0x00000000006b480e in DODOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at include/control.inc:420
0000012 0x0000000000475baf in DODOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at include/customform.inc:1548
0000013 0x00000000013a1505 in DODOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at anchordocking.pas:4225
0000014 0x00000000006c5694 in DOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at include/control.inc:4436
0000015 0x000000000047c0f5 in DOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at include/customform.inc:2993
0000016 0x00000000006a77eb in DOFLOATMSG (this=0x7fffdb9bd610, ADOCKSOURCE=0x7fffdae9d4e0) at include/wincontrol.inc:5520
0000017 0x000000000068ee32 in DRAGSTOP (this=0x7fffdb350000, ADROPPED=true) at include/dragmanager.inc:582
0000018 0x000000000068f5ee in DRAGSTOP (this=0x7ffff7ff01e0, ADROPPED=true) at include/dragmanager.inc:698
0000019 0x000000000068fcd3 in MOUSEUP (this=0x7ffff7ff01e0, BUTTON=MBLEFT, SHIFT=..., X=1560, Y=348) at include/dragmanager.inc:793
0000020 0x00000000006bbd45 in DOMOUSEUP (this=0x7fffdb9bd610, MESSAGE=..., BUTTON=MBLEFT) at include/control.inc:2166
0000021 0x00000000006bcbf9 in WMLBUTTONUP (this=0x7fffdb9bd610, MESSAGE=...) at include/control.inc:2613
0000022 0x0000000000433021 in SYSTEM_TOBJECT_$__DISPATCH$formal ()
0000023 0x00000000006bcac0 in WMXBUTTONQUADCLK (this=0x7fffdb9bd610, MESSAGE=...) at include/control.inc:2582
0000024 0x00000000006a6c8d in WNDPROC (this=0x7fffdb9bd610, MESSAGE=...) at include/wincontrol.inc:5322
0000025 0x00000000004757e4 in WNDPROC (this=0x7fffdb9bd610, THEMESSAGE=...) at include/customform.inc:1443
0000026 0x00000000007bc248 in DELIVERMESSAGE (this=0x7fffdb9d89f0, MSG=0, AISINPUTEVENT=true) at qt/qtwidgets.pas:5468
0000027 0x00000000007b6a99 in SLOTMOUSE (this=0x7fffdb9d89f0, SENDER=0x299b980, EVENT=0x7fffffffd0a0) at qt/qtwidgets.pas:3584
0000028 0x00000000007c1897 in EVENTFILTER (this=0x7fffdb9d89f0, SENDER=0x299b980, EVENT=0x7fffffffd0a0) at qt/qtwidgets.pas:6873
0000029 0x00007ffff379e646 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000030 0x00007ffff4017e0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000031 0x00007ffff401e5dd in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000032 0x00007ffff379e4dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000033 0x00007ffff401dd93 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) ()
   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

   
--- Docking OI on the right side on top of Code Exprorer,
--- adjusting the splitter between them and then saving layout as default.
--- Finally close the IDE.

Program received signal SIGSEGV, Segmentation fault.
0x0000000000424e4c in fpc_check_object ()
(gdb) bt
#0 0x0000000000424e4c in fpc_check_object ()
0000001 0x00007fffffffbde0 in ?? ()
0000002 0x00000000008067c0 in GETTEXT (self=0x7fffdfe80a70, AWINCONTROL=0x7fffd98a0e50, ATEXT=0x0) at qt/qtwscontrols.pp:294
0000003 0x00000000006af41b in FINALIZEWND (this=0x7fffd98a0e50) at include/wincontrol.inc:7506
0000004 0x00000000006afc79 in DESTROYWND (this=0x7fffd98a0e50) at include/wincontrol.inc:7671
0000005 0x00000000006a65aa in DESTROYHANDLE (this=0x7fffd98a0e50) at include/wincontrol.inc:5215
0000006 0x000000000070ffed in DESTROYHANDLE (this=0x7fffd98a0e50) at include/custompage.inc:206
0000007 0x00000000007136b6 in ADDREMOVEPAGEHANDLE (this=0x7fffdb7bcdb0, APAGE=0x7fffd98a0e50) at include/customnotebook.inc:754
0000008 0x0000000000713830 in REMOVEPAGE (this=0x7fffdb7bcdb0, INDEX=6) at include/customnotebook.inc:776
0000009 0x0000000001258609 in REMOVEPAGE (this=0x7fffdb7bcdb0, INDEX=6) at extendednotebook.pas:219
0000010 0x000000000070fa89 in SETPARENT (this=0x7fffd98a0e50, APARENT=0x0) at include/custompage.inc:119
0000011 0x0000000000710bf0 in DELETE (this=0x7fffdb51e100, INDEX=6) at include/customnotebook.inc:134
0000012 0x0000000000b8637d in NOTEBOOKDELETEPAGE (this=0x7fffdbbcb530, APAGEINDEX=6) at sourceeditor.pp:6865
0000013 0x0000000000b89691 in CLOSEFILE (this=0x7fffdbbcb530, APAGEINDEX=6) at sourceeditor.pp:7463
0000014 0x0000000000b972f6 in CLOSEFILE (this=0x7fffdff0b9f0, AEDITOR=0x7fffd9dcd4c0) at sourceeditor.pp:9846
0000015 0x0000000000db62ec in CLOSEEDITORFILE (this=0x7fffdb500e00, AEDITOR=0x7fffd9dcd4c0, FLAGS=...) at sourcefilemanager.pas:2273
0000016 0x0000000000dbfa24 in CLOSEPROJECT (this=0x7fffdb500e00) at sourcefilemanager.pas:3745
0000017 0x00000000004c8e17 in DOCLOSEPROJECT (this=0x7ffff7f58ec0) at main.pp:6130
0000018 0x00000000004aafd9 in MAINIDEFORMCLOSEQUERY (this=0x7ffff7f58ec0, SENDER=0x7fffe0877f90, CANCLOSE=false) at main.pp:1986
0000019 0x0000000000478aaa in CLOSEQUERY (this=0x7fffe0877f90) at include/customform.inc:2170
0000020 0x000000000047879e in CLOSE (this=0x7fffe0877f90) at include/customform.inc:2080
0000021 0x0000000000478c09 in WMCLOSEQUERY (this=0x7fffe0877f90, MESSAGE=...) at include/customform.inc:2178
0000022 0x0000000000433021 in SYSTEM_TOBJECT_$__DISPATCH$formal ()
0000023 0x0000000000478bf0 in CHECK (parentfp=0x7fffe0877f90, ACONTROL=0x7fffffffcec0) at include/customform.inc:2159
0000024 0x00000000006a6c8d in WNDPROC (this=0x7fffe0877f90, MESSAGE=...) at include/wincontrol.inc:5322
0000025 0x00000000004757e4 in WNDPROC (this=0x7fffe0877f90, THEMESSAGE=...) at include/customform.inc:1443
0000026 0x0000000000dd6f65 in WNDPROC (this=0x7fffe0877f90, MESSAGE=...) at mainbar.pas:483
0000027 0x00000000007bc248 in DELIVERMESSAGE (this=0x7fffe086d250, MSG=0, AISINPUTEVENT=false) at qt/qtwidgets.pas:5468
0000028 0x00000000007b4810 in SLOTCLOSE (this=0x7fffe086d250) at qt/qtwidgets.pas:2743
0000029 0x00000000007b3d17 in EVENTFILTER (this=0x7fffe086d250, SENDER=0x23eefa0, EVENT=0x7fffffffd3f0) at qt/qtwidgets.pas:2495
0000030 0x00000000007c1b95 in EVENTFILTER (this=0x7fffe086d250, SENDER=0x23eefa0, EVENT=0x7fffffffd3f0) at qt/qtwidgets.pas:7012
0000031 0x00007ffff379e646 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000032 0x00007ffff4017e0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000033 0x00007ffff401e4a0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000034 0x00007ffff379e4dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
0000035 0x00007ffff4063979 in QWidgetPrivate::close_helper(QWidgetPrivate::CloseMode) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000036 0x00007ffff40820a2 in QApplication::x11ClientMessage(QWidget*, _XEvent*, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
0000037 0x00007ffff4091872 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

---
TagsNo tags attached.
Fixed in Revision46623
LazTarget1.2.8
WidgetsetQT
Attached Files
  • AnchorDockError.txt (9,945 bytes)
    --- OI is docked on the left side when Lazarus starts.
    --- Code explorer is on the right side. Move OI to "inside" it. They will have tabs in the same pane.
    --- Move OI back to left side -> Crash
    ---
    Program received signal SIGSEGV, Segmentation fault.
    0x00007ffff76e36b0 in QLCLAbstractScrollArea_override_viewportEvent () from /usr/local/lib/libQt4Pas.so.5
    (gdb) bt
    #0  0x00007ffff76e36b0 in QLCLAbstractScrollArea_override_viewportEvent () from /usr/local/lib/libQt4Pas.so.5
    #1  0x00000000007dee93 in VIEWPORTDELETE (this=0x7fffdb9ed130) at qt/qtwidgets.pas:16319
    #2  0x00000000007de3a2 in DESTROY (this=0x7fffdb9ed130, vmt=0x1) at qt/qtwidgets.pas:16082
    #3  0x0000000000432afa in SYSTEM_TOBJECT_$__FREE ()
    #4  0x00007fffdb9ed130 in ?? ()
    #5  0x000000000046400e in SYSUTILS_FREEANDNIL$formal ()
    #6  0x00007fffffffce80 in ?? ()
    #7  0x00000000007c0e67 in DESTROY (this=0x7fffdb9ebdf0, vmt=0x1) at qt/qtwidgets.pas:6670
    #8  0x0000000000432afa in SYSTEM_TOBJECT_$__FREE ()
    #9  0x00007f01ffffd300 in ?? ()
    #10 0x00000000007e7a74 in ENDEVENTPROCESSING (this=0x7fffdb9ebdf0) at qt/qtobjects.pas:1125
    #11 0x00000000007c1ba6 in EVENTFILTER (this=0x7fffdb9ebdf0, SENDER=0x294cbe0, EVENT=0x7fffffffd0a0) at qt/qtwidgets.pas:7015
    #12 0x00007ffff379e646 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
    #13 0x00007ffff4017e0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
    #14 0x00007ffff401e5dd in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
    #15 0x00007ffff379e4dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
    #16 0x00007ffff401dd93 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) ()
       from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
    
    
    --- Another one. Docking OI few times around.
    --- Not sure where I docked it when the crash happened.
    
    Program received signal SIGSEGV, Segmentation fault.
    0x0000000000424e4c in fpc_check_object ()
    (gdb) bt
    #0  0x0000000000424e4c in fpc_check_object ()
    #1  0x00007fffffffb800 in ?? ()
    #2  0x00000000008067c0 in GETTEXT (self=0x7fffdff02c70, AWINCONTROL=0x7fffdb9a3270, ATEXT=0x0) at qt/qtwscontrols.pp:294
    #3  0x00000000006af41b in FINALIZEWND (this=0x7fffdb9a3270) at include/wincontrol.inc:7506
    #4  0x00000000006afc79 in DESTROYWND (this=0x7fffdb9a3270) at include/wincontrol.inc:7671
    #5  0x00000000006cb18b in DESTROYWND (this=0x7fffdb9a3270) at include/customcontrol.inc:61
    #6  0x00000000006a65aa in DESTROYHANDLE (this=0x7fffdb9a3270) at include/wincontrol.inc:5215
    #7  0x00000000006a656d in DESTROYHANDLE (this=0x7fffdb99cf10) at include/wincontrol.inc:5211
    #8  0x00000000006a656d in DESTROYHANDLE (this=0x7fffdb9bd610) at include/wincontrol.inc:5211
    #9  0x0000000000474949 in SETPARENT (this=0x7fffdb9bd610, NEWPARENT=0x0) at include/customform.inc:1218
    #10 0x00000000013a15b6 in SETPARENT (this=0x7fffdb9bd610, NEWPARENT=0x0) at anchordocking.pas:4236
    #11 0x00000000006b480e in DODOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at include/control.inc:420
    #12 0x0000000000475baf in DODOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at include/customform.inc:1548
    #13 0x00000000013a1505 in DODOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at anchordocking.pas:4225
    #14 0x00000000006c5694 in DOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at include/control.inc:4436
    #15 0x000000000047c0f5 in DOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at include/customform.inc:2993
    #16 0x00000000006a77eb in DOFLOATMSG (this=0x7fffdb9bd610, ADOCKSOURCE=0x7fffdae9d4e0) at include/wincontrol.inc:5520
    #17 0x000000000068ee32 in DRAGSTOP (this=0x7fffdb350000, ADROPPED=true) at include/dragmanager.inc:582
    #18 0x000000000068f5ee in DRAGSTOP (this=0x7ffff7ff01e0, ADROPPED=true) at include/dragmanager.inc:698
    #19 0x000000000068fcd3 in MOUSEUP (this=0x7ffff7ff01e0, BUTTON=MBLEFT, SHIFT=..., X=1560, Y=348) at include/dragmanager.inc:793
    #20 0x00000000006bbd45 in DOMOUSEUP (this=0x7fffdb9bd610, MESSAGE=..., BUTTON=MBLEFT) at include/control.inc:2166
    #21 0x00000000006bcbf9 in WMLBUTTONUP (this=0x7fffdb9bd610, MESSAGE=...) at include/control.inc:2613
    #22 0x0000000000433021 in SYSTEM_TOBJECT_$__DISPATCH$formal ()
    #23 0x00000000006bcac0 in WMXBUTTONQUADCLK (this=0x7fffdb9bd610, MESSAGE=...) at include/control.inc:2582
    #24 0x00000000006a6c8d in WNDPROC (this=0x7fffdb9bd610, MESSAGE=...) at include/wincontrol.inc:5322
    #25 0x00000000004757e4 in WNDPROC (this=0x7fffdb9bd610, THEMESSAGE=...) at include/customform.inc:1443
    #26 0x00000000007bc248 in DELIVERMESSAGE (this=0x7fffdb9d89f0, MSG=0, AISINPUTEVENT=true) at qt/qtwidgets.pas:5468
    #27 0x00000000007b6a99 in SLOTMOUSE (this=0x7fffdb9d89f0, SENDER=0x299b980, EVENT=0x7fffffffd0a0) at qt/qtwidgets.pas:3584
    #28 0x00000000007c1897 in EVENTFILTER (this=0x7fffdb9d89f0, SENDER=0x299b980, EVENT=0x7fffffffd0a0) at qt/qtwidgets.pas:6873
    #29 0x00007ffff379e646 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
    #30 0x00007ffff4017e0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
    #31 0x00007ffff401e5dd in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
    #32 0x00007ffff379e4dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
    #33 0x00007ffff401dd93 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) ()
       from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
    
       
    --- Docking OI on the right side on top of Code Exprorer,
    --- adjusting the splitter between them and then saving layout as default.
    --- Finally close the IDE.
    
    Program received signal SIGSEGV, Segmentation fault.
    0x0000000000424e4c in fpc_check_object ()
    (gdb) bt
    #0  0x0000000000424e4c in fpc_check_object ()
    #1  0x00007fffffffbde0 in ?? ()
    #2  0x00000000008067c0 in GETTEXT (self=0x7fffdfe80a70, AWINCONTROL=0x7fffd98a0e50, ATEXT=0x0) at qt/qtwscontrols.pp:294
    #3  0x00000000006af41b in FINALIZEWND (this=0x7fffd98a0e50) at include/wincontrol.inc:7506
    #4  0x00000000006afc79 in DESTROYWND (this=0x7fffd98a0e50) at include/wincontrol.inc:7671
    #5  0x00000000006a65aa in DESTROYHANDLE (this=0x7fffd98a0e50) at include/wincontrol.inc:5215
    #6  0x000000000070ffed in DESTROYHANDLE (this=0x7fffd98a0e50) at include/custompage.inc:206
    #7  0x00000000007136b6 in ADDREMOVEPAGEHANDLE (this=0x7fffdb7bcdb0, APAGE=0x7fffd98a0e50) at include/customnotebook.inc:754
    #8  0x0000000000713830 in REMOVEPAGE (this=0x7fffdb7bcdb0, INDEX=6) at include/customnotebook.inc:776
    #9  0x0000000001258609 in REMOVEPAGE (this=0x7fffdb7bcdb0, INDEX=6) at extendednotebook.pas:219
    #10 0x000000000070fa89 in SETPARENT (this=0x7fffd98a0e50, APARENT=0x0) at include/custompage.inc:119
    #11 0x0000000000710bf0 in DELETE (this=0x7fffdb51e100, INDEX=6) at include/customnotebook.inc:134
    #12 0x0000000000b8637d in NOTEBOOKDELETEPAGE (this=0x7fffdbbcb530, APAGEINDEX=6) at sourceeditor.pp:6865
    #13 0x0000000000b89691 in CLOSEFILE (this=0x7fffdbbcb530, APAGEINDEX=6) at sourceeditor.pp:7463
    #14 0x0000000000b972f6 in CLOSEFILE (this=0x7fffdff0b9f0, AEDITOR=0x7fffd9dcd4c0) at sourceeditor.pp:9846
    #15 0x0000000000db62ec in CLOSEEDITORFILE (this=0x7fffdb500e00, AEDITOR=0x7fffd9dcd4c0, FLAGS=...) at sourcefilemanager.pas:2273
    #16 0x0000000000dbfa24 in CLOSEPROJECT (this=0x7fffdb500e00) at sourcefilemanager.pas:3745
    #17 0x00000000004c8e17 in DOCLOSEPROJECT (this=0x7ffff7f58ec0) at main.pp:6130
    #18 0x00000000004aafd9 in MAINIDEFORMCLOSEQUERY (this=0x7ffff7f58ec0, SENDER=0x7fffe0877f90, CANCLOSE=false) at main.pp:1986
    #19 0x0000000000478aaa in CLOSEQUERY (this=0x7fffe0877f90) at include/customform.inc:2170
    #20 0x000000000047879e in CLOSE (this=0x7fffe0877f90) at include/customform.inc:2080
    #21 0x0000000000478c09 in WMCLOSEQUERY (this=0x7fffe0877f90, MESSAGE=...) at include/customform.inc:2178
    #22 0x0000000000433021 in SYSTEM_TOBJECT_$__DISPATCH$formal ()
    #23 0x0000000000478bf0 in CHECK (parentfp=0x7fffe0877f90, ACONTROL=0x7fffffffcec0) at include/customform.inc:2159
    #24 0x00000000006a6c8d in WNDPROC (this=0x7fffe0877f90, MESSAGE=...) at include/wincontrol.inc:5322
    #25 0x00000000004757e4 in WNDPROC (this=0x7fffe0877f90, THEMESSAGE=...) at include/customform.inc:1443
    #26 0x0000000000dd6f65 in WNDPROC (this=0x7fffe0877f90, MESSAGE=...) at mainbar.pas:483
    #27 0x00000000007bc248 in DELIVERMESSAGE (this=0x7fffe086d250, MSG=0, AISINPUTEVENT=false) at qt/qtwidgets.pas:5468
    #28 0x00000000007b4810 in SLOTCLOSE (this=0x7fffe086d250) at qt/qtwidgets.pas:2743
    #29 0x00000000007b3d17 in EVENTFILTER (this=0x7fffe086d250, SENDER=0x23eefa0, EVENT=0x7fffffffd3f0) at qt/qtwidgets.pas:2495
    #30 0x00000000007c1b95 in EVENTFILTER (this=0x7fffe086d250, SENDER=0x23eefa0, EVENT=0x7fffffffd3f0) at qt/qtwidgets.pas:7012
    #31 0x00007ffff379e646 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
    #32 0x00007ffff4017e0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
    #33 0x00007ffff401e4a0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
    #34 0x00007ffff379e4dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
    #35 0x00007ffff4063979 in QWidgetPrivate::close_helper(QWidgetPrivate::CloseMode) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
    #36 0x00007ffff40820a2 in QApplication::x11ClientMessage(QWidget*, _XEvent*, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
    #37 0x00007ffff4091872 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
    
    ---
    
    AnchorDockError.txt (9,945 bytes)

Relationships

related to 0018298 resolvedMattias Gaertner Please update the default layout provided with anchor docking package 
related to 0026895 closedJuha Manninen AnchorDocking: Messages window either disappears or becomes very small in some situations 

Activities

Juha Manninen

2014-10-19 12:00

developer  

AnchorDockError.txt (9,945 bytes)
--- OI is docked on the left side when Lazarus starts.
--- Code explorer is on the right side. Move OI to "inside" it. They will have tabs in the same pane.
--- Move OI back to left side -> Crash
---
Program received signal SIGSEGV, Segmentation fault.
0x00007ffff76e36b0 in QLCLAbstractScrollArea_override_viewportEvent () from /usr/local/lib/libQt4Pas.so.5
(gdb) bt
#0  0x00007ffff76e36b0 in QLCLAbstractScrollArea_override_viewportEvent () from /usr/local/lib/libQt4Pas.so.5
#1  0x00000000007dee93 in VIEWPORTDELETE (this=0x7fffdb9ed130) at qt/qtwidgets.pas:16319
#2  0x00000000007de3a2 in DESTROY (this=0x7fffdb9ed130, vmt=0x1) at qt/qtwidgets.pas:16082
#3  0x0000000000432afa in SYSTEM_TOBJECT_$__FREE ()
#4  0x00007fffdb9ed130 in ?? ()
#5  0x000000000046400e in SYSUTILS_FREEANDNIL$formal ()
#6  0x00007fffffffce80 in ?? ()
#7  0x00000000007c0e67 in DESTROY (this=0x7fffdb9ebdf0, vmt=0x1) at qt/qtwidgets.pas:6670
#8  0x0000000000432afa in SYSTEM_TOBJECT_$__FREE ()
#9  0x00007f01ffffd300 in ?? ()
#10 0x00000000007e7a74 in ENDEVENTPROCESSING (this=0x7fffdb9ebdf0) at qt/qtobjects.pas:1125
#11 0x00000000007c1ba6 in EVENTFILTER (this=0x7fffdb9ebdf0, SENDER=0x294cbe0, EVENT=0x7fffffffd0a0) at qt/qtwidgets.pas:7015
#12 0x00007ffff379e646 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#13 0x00007ffff4017e0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#14 0x00007ffff401e5dd in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#15 0x00007ffff379e4dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#16 0x00007ffff401dd93 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) ()
   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4


--- Another one. Docking OI few times around.
--- Not sure where I docked it when the crash happened.

Program received signal SIGSEGV, Segmentation fault.
0x0000000000424e4c in fpc_check_object ()
(gdb) bt
#0  0x0000000000424e4c in fpc_check_object ()
#1  0x00007fffffffb800 in ?? ()
#2  0x00000000008067c0 in GETTEXT (self=0x7fffdff02c70, AWINCONTROL=0x7fffdb9a3270, ATEXT=0x0) at qt/qtwscontrols.pp:294
#3  0x00000000006af41b in FINALIZEWND (this=0x7fffdb9a3270) at include/wincontrol.inc:7506
#4  0x00000000006afc79 in DESTROYWND (this=0x7fffdb9a3270) at include/wincontrol.inc:7671
#5  0x00000000006cb18b in DESTROYWND (this=0x7fffdb9a3270) at include/customcontrol.inc:61
#6  0x00000000006a65aa in DESTROYHANDLE (this=0x7fffdb9a3270) at include/wincontrol.inc:5215
#7  0x00000000006a656d in DESTROYHANDLE (this=0x7fffdb99cf10) at include/wincontrol.inc:5211
#8  0x00000000006a656d in DESTROYHANDLE (this=0x7fffdb9bd610) at include/wincontrol.inc:5211
#9  0x0000000000474949 in SETPARENT (this=0x7fffdb9bd610, NEWPARENT=0x0) at include/customform.inc:1218
#10 0x00000000013a15b6 in SETPARENT (this=0x7fffdb9bd610, NEWPARENT=0x0) at anchordocking.pas:4236
#11 0x00000000006b480e in DODOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at include/control.inc:420
#12 0x0000000000475baf in DODOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at include/customform.inc:1548
#13 0x00000000013a1505 in DODOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at anchordocking.pas:4225
#14 0x00000000006c5694 in DOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at include/control.inc:4436
#15 0x000000000047c0f5 in DOCK (this=0x7fffdb9bd610, NEWDOCKSITE=0x0, ARECT=...) at include/customform.inc:2993
#16 0x00000000006a77eb in DOFLOATMSG (this=0x7fffdb9bd610, ADOCKSOURCE=0x7fffdae9d4e0) at include/wincontrol.inc:5520
#17 0x000000000068ee32 in DRAGSTOP (this=0x7fffdb350000, ADROPPED=true) at include/dragmanager.inc:582
#18 0x000000000068f5ee in DRAGSTOP (this=0x7ffff7ff01e0, ADROPPED=true) at include/dragmanager.inc:698
#19 0x000000000068fcd3 in MOUSEUP (this=0x7ffff7ff01e0, BUTTON=MBLEFT, SHIFT=..., X=1560, Y=348) at include/dragmanager.inc:793
#20 0x00000000006bbd45 in DOMOUSEUP (this=0x7fffdb9bd610, MESSAGE=..., BUTTON=MBLEFT) at include/control.inc:2166
#21 0x00000000006bcbf9 in WMLBUTTONUP (this=0x7fffdb9bd610, MESSAGE=...) at include/control.inc:2613
#22 0x0000000000433021 in SYSTEM_TOBJECT_$__DISPATCH$formal ()
#23 0x00000000006bcac0 in WMXBUTTONQUADCLK (this=0x7fffdb9bd610, MESSAGE=...) at include/control.inc:2582
#24 0x00000000006a6c8d in WNDPROC (this=0x7fffdb9bd610, MESSAGE=...) at include/wincontrol.inc:5322
#25 0x00000000004757e4 in WNDPROC (this=0x7fffdb9bd610, THEMESSAGE=...) at include/customform.inc:1443
#26 0x00000000007bc248 in DELIVERMESSAGE (this=0x7fffdb9d89f0, MSG=0, AISINPUTEVENT=true) at qt/qtwidgets.pas:5468
#27 0x00000000007b6a99 in SLOTMOUSE (this=0x7fffdb9d89f0, SENDER=0x299b980, EVENT=0x7fffffffd0a0) at qt/qtwidgets.pas:3584
#28 0x00000000007c1897 in EVENTFILTER (this=0x7fffdb9d89f0, SENDER=0x299b980, EVENT=0x7fffffffd0a0) at qt/qtwidgets.pas:6873
#29 0x00007ffff379e646 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#30 0x00007ffff4017e0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#31 0x00007ffff401e5dd in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#32 0x00007ffff379e4dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#33 0x00007ffff401dd93 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) ()
   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

   
--- Docking OI on the right side on top of Code Exprorer,
--- adjusting the splitter between them and then saving layout as default.
--- Finally close the IDE.

Program received signal SIGSEGV, Segmentation fault.
0x0000000000424e4c in fpc_check_object ()
(gdb) bt
#0  0x0000000000424e4c in fpc_check_object ()
#1  0x00007fffffffbde0 in ?? ()
#2  0x00000000008067c0 in GETTEXT (self=0x7fffdfe80a70, AWINCONTROL=0x7fffd98a0e50, ATEXT=0x0) at qt/qtwscontrols.pp:294
#3  0x00000000006af41b in FINALIZEWND (this=0x7fffd98a0e50) at include/wincontrol.inc:7506
#4  0x00000000006afc79 in DESTROYWND (this=0x7fffd98a0e50) at include/wincontrol.inc:7671
#5  0x00000000006a65aa in DESTROYHANDLE (this=0x7fffd98a0e50) at include/wincontrol.inc:5215
#6  0x000000000070ffed in DESTROYHANDLE (this=0x7fffd98a0e50) at include/custompage.inc:206
#7  0x00000000007136b6 in ADDREMOVEPAGEHANDLE (this=0x7fffdb7bcdb0, APAGE=0x7fffd98a0e50) at include/customnotebook.inc:754
#8  0x0000000000713830 in REMOVEPAGE (this=0x7fffdb7bcdb0, INDEX=6) at include/customnotebook.inc:776
#9  0x0000000001258609 in REMOVEPAGE (this=0x7fffdb7bcdb0, INDEX=6) at extendednotebook.pas:219
#10 0x000000000070fa89 in SETPARENT (this=0x7fffd98a0e50, APARENT=0x0) at include/custompage.inc:119
#11 0x0000000000710bf0 in DELETE (this=0x7fffdb51e100, INDEX=6) at include/customnotebook.inc:134
#12 0x0000000000b8637d in NOTEBOOKDELETEPAGE (this=0x7fffdbbcb530, APAGEINDEX=6) at sourceeditor.pp:6865
#13 0x0000000000b89691 in CLOSEFILE (this=0x7fffdbbcb530, APAGEINDEX=6) at sourceeditor.pp:7463
#14 0x0000000000b972f6 in CLOSEFILE (this=0x7fffdff0b9f0, AEDITOR=0x7fffd9dcd4c0) at sourceeditor.pp:9846
#15 0x0000000000db62ec in CLOSEEDITORFILE (this=0x7fffdb500e00, AEDITOR=0x7fffd9dcd4c0, FLAGS=...) at sourcefilemanager.pas:2273
#16 0x0000000000dbfa24 in CLOSEPROJECT (this=0x7fffdb500e00) at sourcefilemanager.pas:3745
#17 0x00000000004c8e17 in DOCLOSEPROJECT (this=0x7ffff7f58ec0) at main.pp:6130
#18 0x00000000004aafd9 in MAINIDEFORMCLOSEQUERY (this=0x7ffff7f58ec0, SENDER=0x7fffe0877f90, CANCLOSE=false) at main.pp:1986
#19 0x0000000000478aaa in CLOSEQUERY (this=0x7fffe0877f90) at include/customform.inc:2170
#20 0x000000000047879e in CLOSE (this=0x7fffe0877f90) at include/customform.inc:2080
#21 0x0000000000478c09 in WMCLOSEQUERY (this=0x7fffe0877f90, MESSAGE=...) at include/customform.inc:2178
#22 0x0000000000433021 in SYSTEM_TOBJECT_$__DISPATCH$formal ()
#23 0x0000000000478bf0 in CHECK (parentfp=0x7fffe0877f90, ACONTROL=0x7fffffffcec0) at include/customform.inc:2159
#24 0x00000000006a6c8d in WNDPROC (this=0x7fffe0877f90, MESSAGE=...) at include/wincontrol.inc:5322
#25 0x00000000004757e4 in WNDPROC (this=0x7fffe0877f90, THEMESSAGE=...) at include/customform.inc:1443
#26 0x0000000000dd6f65 in WNDPROC (this=0x7fffe0877f90, MESSAGE=...) at mainbar.pas:483
#27 0x00000000007bc248 in DELIVERMESSAGE (this=0x7fffe086d250, MSG=0, AISINPUTEVENT=false) at qt/qtwidgets.pas:5468
#28 0x00000000007b4810 in SLOTCLOSE (this=0x7fffe086d250) at qt/qtwidgets.pas:2743
#29 0x00000000007b3d17 in EVENTFILTER (this=0x7fffe086d250, SENDER=0x23eefa0, EVENT=0x7fffffffd3f0) at qt/qtwidgets.pas:2495
#30 0x00000000007c1b95 in EVENTFILTER (this=0x7fffe086d250, SENDER=0x23eefa0, EVENT=0x7fffffffd3f0) at qt/qtwidgets.pas:7012
#31 0x00007ffff379e646 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#32 0x00007ffff4017e0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#33 0x00007ffff401e4a0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#34 0x00007ffff379e4dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#35 0x00007ffff4063979 in QWidgetPrivate::close_helper(QWidgetPrivate::CloseMode) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#36 0x00007ffff40820a2 in QApplication::x11ClientMessage(QWidget*, _XEvent*, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#37 0x00007ffff4091872 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

---
AnchorDockError.txt (9,945 bytes)

Zeljan Rikalo

2014-10-20 12:02

developer   ~0078416

It looks like egg-chicken problem here.
It crashes in TQtPage handle creation and reparenting it to the parent tabcontrol. Parent handle isn't allocated yet, but child handle is.

Zeljan Rikalo

2014-10-20 15:31

developer   ~0078419

@Juha, are you testing with debug ide or only with -g -gl ? I have different stack trace with debug ide than yours, and with debug ide it does not crash
when OI is moved into CE as tab and then returned back. It crashes when after such op you try to resize OI via splitter.

Zeljan Rikalo

2014-10-20 15:33

developer   ~0078420

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff40faf14 in QAbstractSlider::minimum() const () from /lib64/libQtGui.so.4
#0 0x00007ffff40faf14 in QAbstractSlider::minimum() const () from /lib64/libQtGui.so.4
0000001 0x00007ffff41bd624 in QAbstractScrollAreaPrivate::layoutChildren() () from /lib64/libQtGui.so.4
0000002 0x00007ffff41be8bd in QAbstractScrollArea::event(QEvent*) () from /lib64/libQtGui.so.4
0000003 0x00007ffff3d31e5c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQtGui.so.4
0000004 0x00007ffff3d387b5 in QApplication::notify(QObject*, QEvent*) () from /lib64/libQtGui.so.4
0000005 0x00007ffff34b88fd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /lib64/libQtCore.so.4
0000006 0x00007ffff3dca0be in QWidgetPrivate::setGeometry_sys(int, int, int, int, bool) () from /lib64/libQtGui.so.4
0000007 0x00007ffff3d7c06c in QWidget::resize(QSize const&) () from /lib64/libQtGui.so.4
0000008 0x00007ffff76bce13 in resize (h=<optimized out>, w=<optimized out>, this=<optimized out>)
    at /usr/include/QtGui/qwidget.h:1015
0000009 QWidget_resize (handle=<optimized out>, w=<optimized out>, h=<optimized out>) at src/qwidget_c.cpp:923
0000010 0x00000000009d19c1 in RESIZE (this=0x7fffcd516970, ANEWWIDTH=96, ANEWHEIGHT=5) at qt/qtwidgets.pas:4738
0000011 0x0000000000a1eae9 in SETBOUNDS (self=0x7fffd8555730, AWINCONTROL=0x7fffcd4bd190, ALEFT=0, ATOP=184, AWIDTH=96,
    AHEIGHT=5) at qt/qtwscontrols.pp:489
0000012 0x00000000008c8561 in DOSENDBOUNDSTOINTERFACE (this=0x7fffcd4bd190) at include/wincontrol.inc:8282
0000013 0x00000000008c8758 in REALIZEBOUNDS (this=0x7fffcd4bd190) at include/wincontrol.inc:8333
0000014 0x00000000008c8b4c in REALIZEBOUNDSRECURSIVE (this=0x7fffcd4bd190) at include/wincontrol.inc:8371
0000015 0x00000000008c8b0f in REALIZEBOUNDSRECURSIVE (this=0x7fffcd4bb370) at include/wincontrol.inc:8368
0000016 0x00000000008c8b0f in REALIZEBOUNDSRECURSIVE (this=0x7fffcd4dac90) at include/wincontrol.inc:8368
0000017 0x00000000008c8b0f in REALIZEBOUNDSRECURSIVE (this=0x7fffcd4dbff0) at include/wincontrol.inc:8368
0000018 0x00000000008c8b0f in REALIZEBOUNDSRECURSIVE (this=0x7fffd732c370) at include/wincontrol.inc:8368
0000019 0x00000000008b6c26 in DOALLAUTOSIZE (this=0x7fffd732c370) at include/wincontrol.inc:3514
0000020 0x00000000008e0a5d in ENABLEAUTOSIZING (this=0x7fffd732c370) at include/control.inc:5450
---Type <return> to continue, or q <return> to quit---
0000021 0x00000000008e0a23 in ENABLEAUTOSIZING (this=0x7fffcd4dbff0) at include/control.inc:5448
0000022 0x00000000008e0a23 in ENABLEAUTOSIZING (this=0x7fffcd520c50) at include/control.inc:5448
0000023 0x00000000015c1a32 in SETBOUNDS (this=0x7fffcd520c50, ALEFT=96, ATOP=0, AWIDTH=4, AHEIGHT=596)
    at anchordocking.pas:5917
0000024 0x00000000008da18c in SETLEFT (this=0x7fffcd520c50, VALUE=96) at include/control.inc:3950
0000025 0x00000000008ee791 in MOVESPLITTER (this=0x7fffcd520c50, OFFSET=1) at include/customsplitter.inc:467
0000026 0x00000000008efeef in MOUSEMOVE (this=0x7fffcd520c50, SHIFT=..., X=2, Y=419) at include/customsplitter.inc:631
0000027 0x00000000008db1c6 in WMMOUSEMOVE (this=0x7fffcd520c50, MESSAGE=...) at include/control.inc:4162
0000028 0x0000000000647dd1 in SYSTEM_TOBJECT_$__DISPATCH$formal ()
0000029 0x00000000008db110 in ?? ()
0000030 0x00007fffcd520c50 in ?? ()
0000031 0x000000000000002a in ?? ()
0000032 0x0000000000000200 in ?? ()
0000033 0x00007fffffffce10 in ?? ()
0000034 0x00007fffcd520c50 in ?? ()
0000035 0x00007fffffffce10 in ?? ()
0000036 0x00000000028e9148 in _$ANCHORDOCKING$_Ld138 ()
0000037 0x00007fffcd520c50 in ?? ()
0000038 0x00007fffc585c250 in ?? ()
0000039 0x00007fffc585c250 in ?? ()
0000040 0x00000000008d23ad in WNDPROC (this=0x7fffcd520c50, THEMESSAGE=...) at include/control.inc:2112
0000041 0x00000000008bd63d in WNDPROC (this=0x7fffcd520c50, MESSAGE=...) at include/wincontrol.inc:5322
0000042 0x00000000009d35a8 in DELIVERMESSAGE (this=0x7fffc585c250, MSG=0, AISINPUTEVENT=true) at qt/qtwidgets.pas:5479
---Type <return> to continue, or q <return> to quit---
0000043 0x00000000009ceced in SLOTMOUSEMOVE (this=0x7fffc585c250, SENDER=0x414ce00, EVENT=0x7fffffffd530)
    at qt/qtwidgets.pas:3794
0000044 0x00000000009cb1e7 in EVENTFILTER (this=0x7fffc585c250, SENDER=0x414ce00, EVENT=0x7fffffffd530)
    at qt/qtwidgets.pas:2537
0000045 0x00000000009f41ac in EVENTFILTER (this=0x7fffc585c250, SENDER=0x414ce00, EVENT=0x7fffffffd530)
    at qt/qtwidgets.pas:15686
0000046 0x00000000009f5aa7 in VIEWPORTEVENTFILTER (this=0x7fffc585bf90, EVENT=0x7fffffffd530, RETVAL=0x7fffffffd147)
    at qt/qtwidgets.pas:16174
0000047 0x00007ffff772583d in QLCLAbstractScrollArea::viewportEvent (this=<optimized out>, event=<optimized out>)
    at src/qlclabstractscrollarea.h:40
0000048 0x00007ffff34b8a66 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) ()
   from /lib64/libQtCore.so.4
0000049 0x00007ffff3d31e3c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQtGui.so.4
0000050 0x00007ffff3d388f1 in QApplication::notify(QObject*, QEvent*) () from /lib64/libQtGui.so.4
0000051 0x00007ffff34b88fd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /lib64/libQtCore.so.4
0000052 0x00007ffff3d38067 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /lib64/libQtGui.so.4
#53 0x00007ffff3dad63b in QETWidget::translateMouseEvent(_XEvent const*) () from /lib64/libQtGui.so.4
#54 0x00007ffff3dac0ac in QApplication::x11ProcessEvent(_XEvent*) () from /lib64/libQtGui.so.4
0000055 0x00007ffff3dd3ac4 in x11EventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQtGui.so.4
0000056 0x00007fffefe782a6 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
0000057 0x00007fffefe78628 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
0000058 0x00007fffefe786dc in g_main_context_iteration () from /lib64/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
0000059 0x00007ffff34e741e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /lib64/libQtCore.so.4
0000060 0x00007ffff3dd3c46 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /lib64/libQtGui.so.4
0000061 0x00007ffff34bbfcf in QCoreApplication::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /lib64/libQtCore.so.4
0000062 0x00007ffff769972f in QCoreApplication_processEvents (flags=<optimized out>) at src/qcoreapplication_c.cpp:105
0000063 0x0000000000880dde in APPWAITMESSAGE (this=0x7ffff7f7b7f0) at qt/qtobject.inc:300
0000064 0x0000000000698d01 in IDLE (this=0x7ffff7f7b350, WAIT=true) at include/application.inc:413
0000065 0x000000000069cc9f in HANDLEMESSAGE (this=0x7ffff7f7b350) at include/application.inc:1266
0000066 0x000000000069d42d in RUNLOOP (this=0x7ffff7f7b350) at include/application.inc:1400
0000067 0x0000000000880dc6 in APPRUN (this=0x7ffff7f7b7f0, ALOOP=...) at qt/qtobject.inc:283
0000068 0x000000000069d3b1 in RUN (this=0x7ffff7f7b350) at include/application.inc:1388
0000069 0x0000000000637ae4 in main () at lazarus.pp:128

Zeljan Rikalo

2014-10-20 15:48

developer   ~0078421

hmm...I've tried to register TQtWSCustomPairSplitter as QWidget handle and not as QAbstractScrollArea one, but again got errors from viewport ?!?

Zeljan Rikalo

2014-10-20 16:36

developer   ~0078424

according to the stack I have pretty random crashes with anchordocking when moving OI around into tabs and back. gdb is 7.7, so maybe it could be problem.
gtk2 ide does not crash at all, so IMO this is qt only problem.

Zeljan Rikalo

2014-10-20 17:04

developer   ~0078426

Found where is problem, I'll fix this one.

Zeljan Rikalo

2014-10-20 17:24

developer   ~0078429

Please test and close if ok.
All stack traces were wrong because of dangling pointers around.
By using deleteLater() qt handles event filter and everything and then
 calls destroy().

Juha Manninen

2014-10-21 17:46

developer   ~0078473

Thanks!
I did not realize it was a QT only issue. I tested also with GTK2 but apparently tested OI with QT and thought it was OI's fault.

Issue History

Date Modified Username Field Change
2014-10-19 12:00 Juha Manninen New Issue
2014-10-19 12:00 Juha Manninen Status new => assigned
2014-10-19 12:00 Juha Manninen Assigned To => Mattias Gaertner
2014-10-19 12:00 Juha Manninen File Added: AnchorDockError.txt
2014-10-19 12:24 Mattias Gaertner Relationship added related to 0018298
2014-10-19 13:15 Juha Manninen Relationship added related to 0026895
2014-10-20 12:02 Zeljan Rikalo Note Added: 0078416
2014-10-20 15:31 Zeljan Rikalo Note Added: 0078419
2014-10-20 15:31 Zeljan Rikalo Status assigned => feedback
2014-10-20 15:33 Zeljan Rikalo Note Added: 0078420
2014-10-20 15:48 Zeljan Rikalo Note Added: 0078421
2014-10-20 16:36 Zeljan Rikalo Note Added: 0078424
2014-10-20 17:04 Zeljan Rikalo Note Added: 0078426
2014-10-20 17:04 Zeljan Rikalo Assigned To Mattias Gaertner => Zeljan Rikalo
2014-10-20 17:04 Zeljan Rikalo Status feedback => assigned
2014-10-20 17:24 Zeljan Rikalo Fixed in Revision => 46623
2014-10-20 17:24 Zeljan Rikalo LazTarget - => 1.2.8
2014-10-20 17:24 Zeljan Rikalo Widgetset => QT
2014-10-20 17:24 Zeljan Rikalo Note Added: 0078429
2014-10-20 17:24 Zeljan Rikalo Status assigned => resolved
2014-10-20 17:24 Zeljan Rikalo Fixed in Version => 1.3 (SVN)
2014-10-20 17:24 Zeljan Rikalo Resolution open => fixed
2014-10-21 17:46 Juha Manninen Note Added: 0078473
2014-10-21 17:46 Juha Manninen Status resolved => closed